# Command: testsuite::ticket-580

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-580 - getinterval: No error if range of array is exceeded

Synopsis:

    (ticket-564) run -> NEST exits if test fails

Description:

      1) This test checks whether the sli functions getinterval and Take perform Range Checks, i.e. whether they throw errors if the requested part of the interval exceeds the original array or not.
      2) Furthermore, it checks whether getinterval throws an error if negative indices are given and whether Takes does not throw an error.
      3) Checks whether Take returns an empty array if n_2 < n_1

      In addition, it checks whether they return the same results for a correct usage.

Author:

    Maximilian Schmidt, 2012-10-16

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/testsuite/regressiontests/ticket-580.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative